Debian Bug report logs - #689336
provide instructions when keymap support is requested but when loadkeys or setupcon is missing

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Samuel Hym <samuel.hym@gmail.com>

Date: Mon, 1 Oct 2012 16:45:02 UTC

Severity: normal

Found in version initramfs-tools/0.108

Fixed in version initramfs-tools/0.109

Done: Michael Prokop <mika@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Mon, 01 Oct 2012 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Hym <samuel.hym@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Hym <samuel.hym@gmail.com>
To: submit@bugs.debian.org
Subject: [initramfs-tools] initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Mon, 01 Oct 2012 18:41:10 +0200
Package: initramfs-tools
Version: 0.108
Severity: critical
Justification: breaks the whole system

My disk is dm_crypted. After upgrading from 0.107 to 0.108, my system 
could not
boot anymore with the newly generated ramfs: entering the passphrase did not
unlock the disk, yielding the same error message as a wrong passphrase.
Downgrading to 0.107 solved the problem.

Best regards
Samuel Hym


--- System information. ---
Architecture: amd64
Kernel: Linux 3.2.0-3-amd64

Debian Release: wheezy/sid
990 unstable ftp.fr.debian.org
500 testing ftp.fr.debian.org
500 stable ftp.fr.debian.org
1 experimental ftp.fr.debian.org

--- Package information. ---
Depends (Version) | Installed
=================================-+-============
klibc-utils (>= 2.0-1~) | 2.0.1-1
cpio | 2.11-8
kmod | 9-2
OR module-init-tools | 9-2
udev | 175-7


Recommends (Version) | Installed
====================================-+-===============
busybox (>= 1:1.01-3) |
OR busybox-initramfs |
OR busybox-static | 1:1.20.0-7


Suggests (Version) | Installed
==============================-+-===========
bash-completion | 1:2.0-1



--- Output from package bug script ---
-- initramfs sizes
-- /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.2.0-3-amd64 root=/dev/mapper/salme-root ro quiet

-- resume
RESUME=/dev/mapper/salme-swap_1
-- /proc/filesystems
ext3
fuseblk
iso9660

-- lsmod
Module Size Used by
ip6table_filter 12540 0
ip6_tables 22175 1 ip6table_filter
iptable_filter 12536 0
ip_tables 22042 1 iptable_filter
ebtable_nat 12580 0
ebtables 26235 1 ebtable_nat
x_tables 19073 5 
ebtables,ip_tables,iptable_filter,ip6_tables,ip6table_filter
ppdev 12763 0
lp 17149 0
uinput 17440 1
nls_utf8 12456 1
isofs 35171 1
fuse 61981 3
firewire_sbp2 17993 0
loop 22641 2
kvm_intel 121968 0
kvm 287662 1 kvm_intel
snd_hda_codec_idt 53792 1
snd_hda_intel 26345 2
snd_hda_codec 78031 2 snd_hda_intel,snd_hda_codec_idt
snd_hwdep 13186 1 snd_hda_codec
snd_pcm_oss 41081 0
snd_mixer_oss 17916 1 snd_pcm_oss
snd_pcm 63900 3 snd_pcm_oss,snd_hda_codec,snd_hda_intel
snd_page_alloc 13003 2 snd_pcm,snd_hda_intel
snd_seq_midi 12848 0
snd_seq_midi_event 13316 1 snd_seq_midi
arc4 12458 2
snd_rawmidi 23060 1 snd_seq_midi
snd_seq 45093 2 snd_seq_midi_event,snd_seq_midi
iwl3945 51641 0
iwl_legacy 48145 1 iwl3945
snd_seq_device 13176 3 snd_seq,snd_rawmidi,snd_seq_midi
mac80211 192768 2 iwl_legacy,iwl3945
cfg80211 137140 3 mac80211,iwl_legacy,iwl3945
snd_timer 22917 2 snd_seq,snd_pcm
snd 52850 15 
snd_timer,snd_seq_device,snd_seq,snd_rawmidi,snd_pcm,snd_mixer_oss,snd_pcm_oss,snd_hwdep,snd_hda_codec,snd_hda_intel,snd_hda_codec_idt
joydev 17266 0
iTCO_wdt 17081 0
iTCO_vendor_support 12704 1 iTCO_wdt
i2c_i801 16870 0
pcmcia 32691 0
soundcore 13065 1 snd
dell_laptop 17120 0
rfkill 19012 3 dell_laptop,cfg80211
acpi_cpufreq 12935 0
parport_pc 22364 1
psmouse 64455 0
yenta_socket 22899 0
parport 31858 3 parport_pc,lp,ppdev
pcmcia_rsrc 17533 1 yenta_socket
dell_wmi 12477 0
sparse_keymap 12760 1 dell_wmi
rng_core 12652 0
mperf 12453 1 acpi_cpufreq
dcdbas 13307 1 dell_laptop
ac 12624 0
processor 28157 3 acpi_cpufreq
coretemp 12898 0
pcmcia_core 18294 3 pcmcia_rsrc,yenta_socket,pcmcia
evdev 17562 21
battery 13109 0
power_supply 13475 3 battery,ac,dell_laptop
serio_raw 12931 0
ext3 161867 3
mbcache 13065 1 ext3
jbd 56902 1 ext3
sha256_generic 16797 2
cryptd 14517 0
aes_x86_64 16796 4
aes_generic 33026 1 aes_x86_64
cbc 12754 2
dm_crypt 22586 1
microcode 25793 0
dm_mirror 17707 0
dm_region_hash 13459 1 dm_mirror
dm_log 13528 2 dm_region_hash,dm_mirror
dm_mod 63545 15 dm_log,dm_mirror,dm_crypt
usbhid 36379 0
hid 81288 1 usbhid
sg 25874 0
sd_mod 36136 3
crc_t10dif 12348 1 sd_mod
ata_generic 12479 0
i915 356043 3
ata_piix 29535 2
sdhci_pci 17976 0
libata 140589 2 ata_piix,ata_generic
firewire_ohci 35772 0
uhci_hcd 26865 0
firewire_core 48407 2 firewire_ohci,firewire_sbp2
sdhci 27053 1 sdhci_pci
tg3 118925 0
mmc_core 72460 2 sdhci,sdhci_pci
video 17628 1 i915
i2c_algo_bit 12841 1 i915
drm_kms_helper 27227 1 i915
drm 167670 4 drm_kms_helper,i915
thermal 17383 0
ehci_hcd 40215 0
crc_itu_t 12347 1 firewire_core
wmi 13243 1 dell_wmi
button 12937 1 i915
libphy 19018 1 tg3
scsi_mod 162372 4 libata,sd_mod,sg,firewire_sbp2
usbcore 128498 4 ehci_hcd,uhci_hcd,usbhid
usb_common 12354 1 usbcore
i2c_core 23876 5 drm,drm_kms_helper,i2c_algo_bit,i915,i2c_i801
thermal_sys 18040 3 thermal,video,processor

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- /etc/crypttab
# hda5_crypt /dev/hda5 none luks
hda5_crypt UUID=0e05f1cf-9a96-4ba7-a7e0-4ef0fdbcd2ba none luks

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
busybox
cryptgnupg
cryptkeyctl
cryptopenct
cryptopensc
cryptpassdev
cryptroot
dmraid
dmsetup
fuse
intel-microcode
keymap
klibc
kmod
lvm2
ntfs_3g
plymouth
thermal
udev
uswsusp



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Mon, 01 Oct 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 01 Oct 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 689336@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Samuel Hym <samuel.hym@gmail.com>, 689336@bugs.debian.org
Subject: Re: Bug#689336: initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Mon, 1 Oct 2012 19:36:08 +0200
[Message part 1 (text/plain, inline)]
* Samuel Hym [Mon Oct 01, 2012 at 06:41:10PM +0200]:

> My disk is dm_crypted. After upgrading from 0.107 to 0.108, my system
> could not
> boot anymore with the newly generated ramfs: entering the passphrase did not
> unlock the disk, yielding the same error message as a wrong passphrase.
> Downgrading to 0.107 solved the problem.
[...]

What version of cryptsetup are you using?

Is there any visible difference between running
"update-initramfs -u -v" for 0.107 and 0.108?

What about differences between the generated initramfs (check e.g.
with "lsinitramfs /boot/initrd.img-$(uname -r)")?

Does setting KEYMAP=y in /etc/initramfs-tools/initramfs.conf help?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Tue, 02 Oct 2012 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Hym <samuel.hym@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 02 Oct 2012 15:45:05 GMT) Full text and rfc822 format available.

Message #15 received at 689336@bugs.debian.org (full text, mbox):

From: Samuel Hym <samuel.hym@gmail.com>
To: Michael Prokop <mika@debian.org>
Cc: 689336@bugs.debian.org
Subject: Re: Bug#689336: initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Tue, 2 Oct 2012 17:40:15 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

2012/10/1 Michael Prokop <mika@debian.org>

> * Samuel Hym [Mon Oct 01, 2012 at 06:41:10PM +0200]:
>
> > My disk is dm_crypted. After upgrading from 0.107 to 0.108, my system
> > could not
> > boot anymore with the newly generated ramfs: entering the passphrase did
> not
> > unlock the disk, yielding the same error message as a wrong passphrase.
> > Downgrading to 0.107 solved the problem.
> [...]
>
> What version of cryptsetup are you using?
>

I'm using package version 2:1.4.3-2 but this might just be irrelevant since:


> Is there any visible difference between running
> "update-initramfs -u -v" for 0.107 and 0.108?
>

Yes!

With 0.107, I have a line:
   Adding binary /bin/loadkeys

not with 0.108.

What about differences between the generated initramfs (check e.g.
> with "lsinitramfs /boot/initrd.img-$(uname -r)")?
>

Similarly, the diff is:

--- /dev/fd/63    2012-10-02 17:26:29.136907406 +0200
+++ /dev/fd/62    2012-10-02 17:26:29.116907309 +0200
@@ -1,4 +1,4 @@
-/root/initrd.img-3.2.0-3-amd64-0.107
+initrd.img-3.2.0-3-amd64
 .
 scripts
 scripts/functions
@@ -955,7 +955,6 @@
 bin/reboot
 bin/mkdir
 bin/nuke
-bin/loadkeys
 bin/gunzip
 bin/umount
 bin/false
@@ -990,7 +989,6 @@
 etc/ld.so.conf
 etc/lvm
 etc/lvm/lvm.conf
-etc/boottime.kmap.gz
 etc/modprobe.d
 etc/modprobe.d/blacklist-cups-usblp.conf
 etc/modprobe.d/alsa-base.conf


> Does setting KEYMAP=y in /etc/initramfs-tools/initramfs.conf help?
>

No change. It was set to n, but there does not seem to make any difference,
strangely enough.

Regards
Sam
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Thu, 04 Oct 2012 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 04 Oct 2012 14:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 689336@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Samuel Hym <samuel.hym@gmail.com>
Cc: Michael Prokop <mika@debian.org>, 689336@bugs.debian.org
Subject: Re: Bug#689336: initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Thu, 4 Oct 2012 16:38:35 +0200
Hi,

On Tue, 02 Oct 2012, Samuel Hym wrote:
> With 0.107, I have a line:
>    Adding binary /bin/loadkeys
> 
> not with 0.108.

I bet that you're missing the "console-setup" package because you're
not installing Recommends by default (kbd which provides loadkeys
recommends console-setup which provides setupcon, initramfs-tools version
0.108 requires both loadkeys and setupcon).

If that's the case, can you install console-setup and see whether it works
again?

I don't really know what's the proper solution though. Should
initramfs-tools add a Recommends of its own on "console-setup, kbd"?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Fri, 05 Oct 2012 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Hym <samuel.hym@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 10:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 689336@bugs.debian.org (full text, mbox):

From: Samuel Hym <samuel.hym@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Michael Prokop <mika@debian.org>, 689336@bugs.debian.org
Subject: Re: Bug#689336: initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Fri, 5 Oct 2012 12:30:35 +0200
Hi Raphael,

I was indeed missing the console-setup package, and with it works as expected.
(But I don't know what sequence of install / uninstall I must have
done, since aptitude selects the Recommends by defaults; but this
debian was installed some years ago, its history is long… In
particular, I don't know if the added Recommends would have changed my
running into the problem).

Cheers
Sam



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Fri, 05 Oct 2012 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 12:09:06 GMT) Full text and rfc822 format available.

Message #30 received at 689336@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Samuel Hym <samuel.hym@gmail.com>
Cc: Michael Prokop <mika@debian.org>, 689336@bugs.debian.org
Subject: Re: Bug#689336: initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Fri, 5 Oct 2012 13:52:02 +0200
Control: severity -1 normal
Control: retitle -1 provide instructions when keymap support is requested but when loadkeys or setupcon is missing

Dropping the severity since most people will have console-setup installed.

On Fri, 05 Oct 2012, Samuel Hym wrote:
> I was indeed missing the console-setup package, and with it works as expected.

I believe that the update-initramfs keymap hook should display a warning about
missing packages when KEYMAP=y and when some of the required executables
are missing.

But that's all that is needed to fix this bug.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Severity set to 'normal' from 'critical' Request was from Raphael Hertzog <hertzog@debian.org> to 689336-submit@bugs.debian.org. (Fri, 05 Oct 2012 12:09:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'provide instructions when keymap support is requested but when loadkeys or setupcon is missing' from 'initramfs-tools 0.108 cannot decrypt dm_crypt filesystems' Request was from Raphael Hertzog <hertzog@debian.org> to 689336-submit@bugs.debian.org. (Fri, 05 Oct 2012 12:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Fri, 05 Oct 2012 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 05 Oct 2012 12:42:03 GMT) Full text and rfc822 format available.

Message #39 received at 689336@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 689336@bugs.debian.org
Cc: Samuel Hym <samuel.hym@gmail.com>, Michael Prokop <mika@debian.org>
Subject: Re: Bug#689336: initramfs-tools 0.108 cannot decrypt dm_crypt filesystems
Date: Fri, 05 Oct 2012 14:37:09 +0200
On 05/10/2012 13:52, Raphael Hertzog wrote:
> 
> Dropping the severity since most people will have console-setup 
> installed.
> 
> On Fri, 05 Oct 2012, Samuel Hym wrote:
>> I was indeed missing the console-setup package, and with it works 
>> as expected.
> 
> I believe that the update-initramfs keymap hook should display a 
> warning about missing packages when KEYMAP=y and when some of the 
> required executables are missing.
> 
> But that's all that is needed to fix this bug.
> 

And as long as this not fixed, I'm not sure we should allow this package
to migrate to testing. Even if most people might have console-setup
installed, this new revision may break their setup without any
notification. Thus, I don't think downgrading severity to normal is the
right action.

Regards.

-- 
Mehdi



Reply sent to Michael Prokop <mika@debian.org>:
You have taken responsibility. (Fri, 05 Oct 2012 23:06:04 GMT) Full text and rfc822 format available.

Notification sent to Samuel Hym <samuel.hym@gmail.com>:
Bug acknowledged by developer. (Fri, 05 Oct 2012 23:06:04 GMT) Full text and rfc822 format available.

Message #44 received at 689336-close@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: 689336-close@bugs.debian.org
Subject: Bug#689336: fixed in initramfs-tools 0.109
Date: Fri, 05 Oct 2012 23:02:31 +0000
Source: initramfs-tools
Source-Version: 0.109

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689336@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Prokop <mika@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 06 Oct 2012 00:43:00 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.109
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Michael Prokop <mika@debian.org>
Description: 
 initramfs-tools - generic modular initramfs generator
Closes: 689336
Changes: 
 initramfs-tools (0.109) unstable; urgency=low
 .
   * keymap hook: provide warning message if loadkeys/setupcon are not
     available. Thanks to Raphael Hertzog <hertzog@debian.org> for the
     feedback (Closes: #689336)
Checksums-Sha1: 
 3ac8c1d776bc8a6db3f7d5451be836e3c5d81d54 1052 initramfs-tools_0.109.dsc
 d62a262b6349d8fba33baa64e27012516495575e 85330 initramfs-tools_0.109.tar.gz
 543ad77539415ecba8fc0ad05ee2ef861d09b5bb 91198 initramfs-tools_0.109_all.deb
Checksums-Sha256: 
 45f131820c77dcef9e1f4e26113da49cf5f05f7f11fee923ad721676e980d473 1052 initramfs-tools_0.109.dsc
 d39cc846171953e50dfecea9af681d3b26d1d9019c10f7195e34d7850d034a17 85330 initramfs-tools_0.109.tar.gz
 9976c5c25cb3bb3ee049625cf8a18e12423b8ddd01fca0d9b0becf1f87bd93d6 91198 initramfs-tools_0.109_all.deb
Files: 
 9dfc2382d76dca9f63544f918b9070ea 1052 utils optional initramfs-tools_0.109.dsc
 d2c57691b851d6e18ce5333ba7adbcfc 85330 utils optional initramfs-tools_0.109.tar.gz
 5d3a97c55de83a82ad0fc1bc0c8a6fce 91198 utils optional initramfs-tools_0.109_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBvY4IACgkQ2N9T+zficuiyngCfcIic4bczwZGhp7Gr5Z/KWSZu
8fcAni/ghNqVcojVbJFf76Lv3xWWjuSO
=/LSO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Sat, 06 Oct 2012 07:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Hym <samuel.hym@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Sat, 06 Oct 2012 07:36:03 GMT) Full text and rfc822 format available.

Message #49 received at 689336@bugs.debian.org (full text, mbox):

From: Samuel Hym <samuel.hym@gmail.com>
To: 689336@bugs.debian.org
Subject: Re: Bug#689336 closed by Michael Prokop <mika@debian.org> (Bug#689336: fixed in initramfs-tools 0.109)
Date: Sat, 6 Oct 2012 09:33:15 +0200
Hi all,

At least for the record, I might mention that in my previous
configuration without console-setup installed, the configuration was
saying KEYMAP=n and still 0.107 was adding the keymap in the initrd.
Admittedly this was a strange behaviour, but the upgrading 0.107 to
the new 0.109 would have failed just the same.

Cheers
Sam



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Mon, 08 Oct 2012 06:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 08 Oct 2012 06:09:03 GMT) Full text and rfc822 format available.

Message #54 received at 689336@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Samuel Hym <samuel.hym@gmail.com>, 689336@bugs.debian.org
Subject: Re: Bug#689336: closed by Michael Prokop <mika@debian.org> (Bug#689336: fixed in initramfs-tools 0.109)
Date: Mon, 8 Oct 2012 08:06:44 +0200
[Message part 1 (text/plain, inline)]
* Samuel Hym [Sat Oct 06, 2012 at 09:33:15AM +0200]:

> At least for the record, I might mention that in my previous
> configuration without console-setup installed, the configuration was
> saying KEYMAP=n and still 0.107 was adding the keymap in the initrd.
> Admittedly this was a strange behaviour, but the upgrading 0.107 to
> the new 0.109 would have failed just the same.

The cryptsetup hook script sets KEYMAP=y

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Tue, 09 Oct 2012 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Bell <michael.bell@cms.hu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 12:54:03 GMT) Full text and rfc822 format available.

Message #59 received at 689336@bugs.debian.org (full text, mbox):

From: Michael Bell <michael.bell@cms.hu-berlin.de>
To: 689336@bugs.debian.org
Subject: Re: Bug#689336: fixed in initramfs-tools 0.109
Date: Tue, 09 Oct 2012 14:39:43 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just updated from 0.108 to 0.109. The log from aptitude upgrade looks
like this:

Setting up initramfs-tools (0.109) ...
update-initramfs: deferring update (trigger activated)
Setting up linux-image-3.2.0-4-686-pae (3.2.30-1) ...
Running depmod.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-4-686-pae
/boot/vmlinuz-3.2.0-4-686-pae
run-parts: executing /etc/kernel/postinst.d/initramfs-tools
3.2.0-4-686-pae /boot/vmlinuz-3.2.0-4-686-pae
update-initramfs: Generating /boot/initrd.img-3.2.0-4-686-pae
setupcon is missing. Please install the 'console-setup' package.
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-4-686-pae
/boot/vmlinuz-3.2.0-4-686-pae
run-parts: executing /etc/kernel/postinst.d/update-notifier
3.2.0-4-686-pae /boot/vmlinuz-3.2.0-4-686-pae
run-parts: executing /etc/kernel/postinst.d/zz-update-grub
3.2.0-4-686-pae /boot/vmlinuz-3.2.0-4-686-pae
Generating grub.cfg ...
Found background image: .background_cache.png
Found linux image: /boot/vmlinuz-3.2.0-4-686-pae
Found initrd image: /boot/initrd.img-3.2.0-4-686-pae
Found linux image: /boot/vmlinuz-3.2.0-3-686-pae
Found initrd image: /boot/initrd.img-3.2.0-3-686-pae
Found linux image: /boot/vmlinuz-3.2.0-2-686-pae
Found initrd image: /boot/initrd.img-3.2.0-2-686-pae
Found memtest86 image: /memtest86.bin
done

I don't think that the issue is solved. Nobody notices this small
warning and still the passphrase prompt uses a wrong keymap.

I am not a package maintainer, so just a question: why is it a problem
to define console-setup as a real dependency? Initramfs-tools does not
work properly from my perspective if the console-setup package is not
present. Perhaps the dependency should be placed in the package cryptsetup.

Best regards

Michael

[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#689336; Package initramfs-tools. (Tue, 09 Oct 2012 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 13:09:05 GMT) Full text and rfc822 format available.

Message #64 received at 689336@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Michael Bell <michael.bell@cms.hu-berlin.de>, 689336@bugs.debian.org
Subject: Re: Bug#689336: fixed in initramfs-tools 0.109
Date: Tue, 9 Oct 2012 15:07:03 +0200
[Message part 1 (text/plain, inline)]
* Michael Bell [Tue Oct 09, 2012 at 02:39:43PM +0200]:

> I just updated from 0.108 to 0.109. The log from aptitude upgrade looks
> like this:

> Setting up initramfs-tools (0.109) ...
[...]
> setupcon is missing. Please install the 'console-setup' package.
[...]
> I don't think that the issue is solved. Nobody notices this small
> warning and still the passphrase prompt uses a wrong keymap.

> I am not a package maintainer, so just a question: why is it a problem
> to define console-setup as a real dependency? Initramfs-tools does not
> work properly from my perspective if the console-setup package is not
> present. Perhaps the dependency should be placed in the package cryptsetup.

Bugreport against cryptsetup is already there: #689722

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Nov 2012 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:55:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.